<?php

require "../vendor/autoload.php";
require "../config.php";
require "../sql/database.php";
require "../src/Controller/FrontController.php";

use \Twig\Loader\FilesystemLoader;
use App\Connexion;
use App\Controller\SampleFormController;
use App\Gateway\FormResultGateway;

/**
 * relative path of the index.php's directory from the server's document root.
 */
function get_base_path() {
    // find the server path of the index.php file
    $basePath = dirname(substr(__FILE__, strlen($_SERVER['DOCUMENT_ROOT'])));

    $c = $basePath[strlen($basePath) - 1];

    if ($c == "/" || $c == "\\") {
        $basePath = substr($basePath, 0, strlen($basePath) - 1);
    }
    return $basePath;
}

$loader = new FilesystemLoader('../src/Views/');
$twig = new \Twig\Environment($loader);

$basePath = get_base_path();
$con = new Connexion(get_database());

// routes initialization
$router = new AltoRouter();
$router->setBasePath($basePath);

$frontController = new FrontController($router, new UserController());

//$sampleFormController = new SampleFormController(new FormResultGateway($con), $twig);